Subject: RE: [AVT] RFC 3711 and RTCP

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 24 Nov 2004 22:22:35 +0200

Alan,

I anticipated this problem in some on my previous comments about placing monitoring probes on the RTCP XR path as a media monitoring strategy. The current discussion is useful, and may lead to some solutions like selective signaling encryption. It still may be the case that running non-encrypted signaling of any type may be un-acceptable in some environments. The need for manageability and specifically media monitoring is still here, even in such security sensitive deployments. I would like to point to the fact that there are other options to for media monitoring even if all RTCP traffic must be encrypted end-to-end:

1. Implement the RTCP XR MIB in the endpoints and collect the media monitoring information using SNMP. Certainly this type of solution may have scalability problems in larger installations
2. Define a set of RTCP XR extensions to RAQMON, and have the IP phones report the RTCP XR information using RAQMON PDUs to collectors. This solution seems to be scalable and avoid the privacy problems of non-encrypted RTCP XR traffic 

Regards,

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On 
> Behalf Of Alan Clark
> Sent: 23 November, 2004 5:42 PM
> To: [email-masked]
> Subject: [AVT] RFC 3711 and RTCP
> 
> 
> 
> >From the flurry of discussion on RFC3711 it looks as if there is
> considerable interest in SRTP implementation.  I'd like to 
> add a request to
> SRTP implementors with regard to manageability.
> 
> RTCP SR, RR and more particularly XR (e.g. VoIP Metrics report block)
> contain useful information for network monitoring, and are 
> often used by
> probes and analyzers to support problem diagnosis.  RFC3711 allows the
> selective encryption of RTCP payloads and hence I would 
> strongly recomment
> that RFC3711 implementors DO NOT encrypt RTCP SR, RR and XR 
> payloads as this
> adversely impacts manageability.
> 
> Regards
> 
> Alan Clark
> Telchemy
> 
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt